#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private PSSTrendInd[] cachePSSTrendInd;
		private PSSLog[] cachePSSLog;

		
		public PSSTrendInd PSSTrendInd(int uTScope, int uTSmooth, int uTRecent, int uTStep, int uTCloseFac, bool bColorBar, int nVerbosePar, int uniqueID)
		{
			return PSSTrendInd(Input, uTScope, uTSmooth, uTRecent, uTStep, uTCloseFac, bColorBar, nVerbosePar, uniqueID);
		}

		public PSSLog PSSLog(int logType)
		{
			return PSSLog(Input, logType);
		}


		
		public PSSTrendInd PSSTrendInd(ISeries<double> input, int uTScope, int uTSmooth, int uTRecent, int uTStep, int uTCloseFac, bool bColorBar, int nVerbosePar, int uniqueID)
		{
			if (cachePSSTrendInd != null)
				for (int idx = 0; idx < cachePSSTrendInd.Length; idx++)
					if (cachePSSTrendInd[idx].UTScope == uTScope && cachePSSTrendInd[idx].UTSmooth == uTSmooth && cachePSSTrendInd[idx].UTRecent == uTRecent && cachePSSTrendInd[idx].UTStep == uTStep && cachePSSTrendInd[idx].UTCloseFac == uTCloseFac && cachePSSTrendInd[idx].bColorBar == bColorBar && cachePSSTrendInd[idx].nVerbosePar == nVerbosePar && cachePSSTrendInd[idx].UniqueID == uniqueID && cachePSSTrendInd[idx].EqualsInput(input))
						return cachePSSTrendInd[idx];
			return CacheIndicator<PSSTrendInd>(new PSSTrendInd(){ UTScope = uTScope, UTSmooth = uTSmooth, UTRecent = uTRecent, UTStep = uTStep, UTCloseFac = uTCloseFac, bColorBar = bColorBar, nVerbosePar = nVerbosePar, UniqueID = uniqueID }, input, ref cachePSSTrendInd);
		}

		public PSSLog PSSLog(ISeries<double> input, int logType)
		{
			if (cachePSSLog != null)
				for (int idx = 0; idx < cachePSSLog.Length; idx++)
					if (cachePSSLog[idx].LogType == logType && cachePSSLog[idx].EqualsInput(input))
						return cachePSSLog[idx];
			return CacheIndicator<PSSLog>(new PSSLog(){ LogType = logType }, input, ref cachePSSLog);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.PSSTrendInd PSSTrendInd(int uTScope, int uTSmooth, int uTRecent, int uTStep, int uTCloseFac, bool bColorBar, int nVerbosePar, int uniqueID)
		{
			return indicator.PSSTrendInd(Input, uTScope, uTSmooth, uTRecent, uTStep, uTCloseFac, bColorBar, nVerbosePar, uniqueID);
		}

		public Indicators.PSSLog PSSLog(int logType)
		{
			return indicator.PSSLog(Input, logType);
		}


		
		public Indicators.PSSTrendInd PSSTrendInd(ISeries<double> input , int uTScope, int uTSmooth, int uTRecent, int uTStep, int uTCloseFac, bool bColorBar, int nVerbosePar, int uniqueID)
		{
			return indicator.PSSTrendInd(input, uTScope, uTSmooth, uTRecent, uTStep, uTCloseFac, bColorBar, nVerbosePar, uniqueID);
		}

		public Indicators.PSSLog PSSLog(ISeries<double> input , int logType)
		{
			return indicator.PSSLog(input, logType);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.PSSTrendInd PSSTrendInd(int uTScope, int uTSmooth, int uTRecent, int uTStep, int uTCloseFac, bool bColorBar, int nVerbosePar, int uniqueID)
		{
			return indicator.PSSTrendInd(Input, uTScope, uTSmooth, uTRecent, uTStep, uTCloseFac, bColorBar, nVerbosePar, uniqueID);
		}

		public Indicators.PSSLog PSSLog(int logType)
		{
			return indicator.PSSLog(Input, logType);
		}


		
		public Indicators.PSSTrendInd PSSTrendInd(ISeries<double> input , int uTScope, int uTSmooth, int uTRecent, int uTStep, int uTCloseFac, bool bColorBar, int nVerbosePar, int uniqueID)
		{
			return indicator.PSSTrendInd(input, uTScope, uTSmooth, uTRecent, uTStep, uTCloseFac, bColorBar, nVerbosePar, uniqueID);
		}

		public Indicators.PSSLog PSSLog(ISeries<double> input , int logType)
		{
			return indicator.PSSLog(input, logType);
		}

	}
}

#endregion
